> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-baton-kubernetes.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get By App Entitlement Id

> GetByAppEntitlementId looks up the toolset (access profile) linked to a
 synced role entitlement, by app_id + app_entitlement_id.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/apps/{app_id}/mcp_toolsets/by_app_entitlement_id/{app_entitlement_id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/mcp_toolsets/by_app_entitlement_id/{app_entitlement_id}:
    get:
      tags:
        - MCP Toolsets
      summary: Get By App Entitlement Id
      description: |-
        GetByAppEntitlementId looks up the toolset (access profile) linked to a
         synced role entitlement, by app_id + app_entitlement_id.
      operationId: c1.api.ai_governance.v1.MCPAccessProfileService.GetByAppEntitlementId
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: App identifier.
            type: string
        - in: path
          name: app_entitlement_id
          required: true
          schema:
            description: AppEntitlement ID to look up.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.ai_governance.v1.MCPAccessProfileServiceGetByAppEntitlementIdResponse
          description: >-
            MCPAccessProfileServiceGetByAppEntitlementIdResponse returns the
            matched profile.
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.mcpAccessProfile.getByAppEntitlementId({
                appId: "<id>",
                appEntitlementId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.ai_governance.v1.MCPAccessProfileServiceGetByAppEntitlementIdResponse:
      description: >-
        MCPAccessProfileServiceGetByAppEntitlementIdResponse returns the matched
        profile.
      properties:
        profile:
          oneOf:
            - $ref: '#/components/schemas/c1.api.ai_governance.v1.MCPAccessProfile'
            - type: 'null'
      title: Mcp Access Profile Service Get By App Entitlement Id Response
      type: object
      x-speakeasy-name-override: MCPAccessProfileServiceGetByAppEntitlementIdResponse
    c1.api.ai_governance.v1.MCPAccessProfile:
      description: MCPAccessProfile represents an admin-curated grouping of MCP tools.
      properties:
        appEntitlementId:
          description: The ID of the AppEntitlement created for this profile.
          type:
            - string
            - 'null'
        appId:
          description: App identifier (app that owns the connector).
          type:
            - string
            - 'null'
        connectorId:
          description: Connector identifier.
          type:
            - string
            - 'null'
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        deletedAt:
          format: date-time
          type:
            - string
            - 'null'
        description:
          description: Description of what access this profile grants.
          type:
            - string
            - 'null'
        displayName:
          description: Display name for the profile.
          type:
            - string
            - 'null'
        id:
          description: Unique identifier for this access profile.
          type:
            - string
            - 'null'
        toolCount:
          description: The number of tools currently bound to this profile.
          format: int32
          type:
            - integer
            - 'null'
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
      title: Mcp Access Profile
      type: object
      x-speakeasy-name-override: MCPAccessProfile
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````